Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Service Oriented Architecture Tools Platform (STP) » BPMN editor display
BPMN editor display [message #374570] Wed, 20 February 2008 13:49 Go to next message
Eclipse User
Originally posted by: philip.kisloff.astrazeneca.com

Hi

Very new to eclipse, but thought I would try BPMN modelling plugin from
here
http://wiki.eclipse.org/Eclipse_con_2007_STP_BPMN_Tutorial_% 28Setup%29.

Having a lot a trouble viewing any objects. Eclipse starts up, and can
create a BPMN project, but any BPMN elements in the pool (e.g the initial
task shape) disappear. I can only see them when I click on the down arrow
in the top left corner of the pool - sorry don't know what the icon is
called) and it disappears immediately afterwards.

So I'm stuggling to create *anything*, and I figure something's wrong with
my set up.

I've installed eclipse-SDK-3.2.1-linux with JDK 1.6.0_04, and it's running
under opensuse 10.2 kernal 2.6.18.8-0.7.

The build id is M20060921-0945 and the BPMN plug-in versions are 1.0.0.061.

Any ideas, anyone ?

Thanks

Phil
Re: BPMN editor display [message #374571 is a reply to message #374570] Wed, 20 February 2008 14:44 Go to previous messageGo to next message
Eclipse User
Originally posted by: atoulme.intalio.com

Philip,

you are using an old version of BPMN with an even older version of Eclipse.

Can you try gabbing the latest build of Eclipse (you can settle for the
runtime platform if you want to go light[0]) ?

Once you have a stable Eclipse, try getting BPMN through the STP update
site.
To do that, go to Help>Software Updates>Find and Install...

Create a new remote update site with the URL[1], then install BPMN by
selecting it in the dialog.

Hopefully that should run better.

Thanks,

Antoine

[0] :http://download.eclipse.org/eclipse/downloads/drops/R-3.3.1 .1-200710231652/download.php?dropFile=eclipse-platform-3.3.1 .1-linux-gtk.tar.gz
[1]:http://download.eclipse.org/stp/updates/site.xml
Philip Kisloff wrote:
> Hi
>
> Very new to eclipse, but thought I would try BPMN modelling plugin from
> here
> http://wiki.eclipse.org/Eclipse_con_2007_STP_BPMN_Tutorial_% 28Setup%29.
> Having a lot a trouble viewing any objects. Eclipse starts up, and can
> create a BPMN project, but any BPMN elements in the pool (e.g the
> initial task shape) disappear. I can only see them when I click on the
> down arrow in the top left corner of the pool - sorry don't know what
> the icon is called) and it disappears immediately afterwards.
>
> So I'm stuggling to create *anything*, and I figure something's wrong
> with my set up.
> I've installed eclipse-SDK-3.2.1-linux with JDK 1.6.0_04, and it's
> running under opensuse 10.2 kernal 2.6.18.8-0.7.
>
> The build id is M20060921-0945 and the BPMN plug-in versions are 1.0.0.061.
>
> Any ideas, anyone ?
>
> Thanks
>
> Phil
>
>


--
Intalio, the Open Source BPMS Company

<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website</a>
Re: BPMN editor display [message #374572 is a reply to message #374571] Wed, 20 February 2008 14:55 Go to previous messageGo to next message
Eclipse User
Originally posted by: philip.kisloff.astrazeneca.com

Thank you so much Antoine, I'll give it a go now.
Re: BPMN editor display [message #374574 is a reply to message #374572] Wed, 20 February 2008 23:03 Go to previous messageGo to next message
Eclipse User
Originally posted by: philip.kisloff.astrazeneca.com

Hi Antoine

I'm having great difficulties installing this. I found there was a lot of
other plugins required, and so found myself in dependency hell. I then
found
http://download.eclipse.org/stp/downloads/drops/S-S200801091 442-200801091442/
and downloaded
stp-all-in-one-incubation-S-S200801091442-200801091442.zip, which helped
a lot.

Now when I run with eclipse-platform-3.4M4-linux-gtk i get a stack
overflow error calling the BPMN diagram see below.

I also tried the latest eclipse, but no BPMN example wizard was available.
Which is latest stable release with an associated all-in-one zip file? The
pages I see point to RCs and have dead links.

thanks in advance

Phil

!SESSION 2008-02-20 22:40:03.274
-----------------------------------------------
eclipse.buildId=I20071213-1700
java.version=1.5.0_14
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en_GB
Command-line arguments: -os linux -ws gtk -arch x86

!ENTRY org.eclipse.update.configurator 2008-02-20 22:40:08.669
!MESSAGE Could not install bundle
plugins/net.sourceforge.lpg.lpgjavaruntime.source_1.1.0.v200 711021030.jar
Bundle "net.sourceforge.lpg.lpgjavaruntime.source" version
"1.1.0.v200711021030" has already been installed from:
update@plugins /net.sourceforge.lpg.lpgjavaruntime.source_1.1.0.v2007110210 30/

!ENTRY org.eclipse.ui 4 0 2008-02-20 22:43:11.428
!MESSAGE Unhandled event loop exception
!STACK 0
java.lang.StackOverflowError
Re: BPMN editor display [message #374576 is a reply to message #374574] Thu, 21 February 2008 10:42 Go to previous messageGo to next message
Eclipse User
Originally posted by: atoulme.intalio.com

Philip, the all-in-one bundle doesn't contain the GMF, GEF and EMF
dependencies that you need.

To get the BPMN modeler and all its dependencies, you should use the
Ganymede update site.

So please take a pristine Eclipse platform, and use this remote update site:

http://www.eclipse.org/downloads/download.php?file=/releases /ganymede/site.xml&format=xml&protocol=http

You will have to select a mirror. Then you can see a list of all the
features that have been delivered for 3.4M5.

Go and select the BPMN modeler in the SOA Tools category. That should
raise errors regarding its dependencies. Don't panic, just click on
Select Required to get them all. If that doesn't work, expand the tree
(that's a known bug that the update committers will just not work on),
then click on Select Required again.

You should be able to install the whole thing that way. Apologies for
not giving the right directions the first time.

Thanks,

Antoine




Philip Kisloff wrote:
> Hi Antoine
>
> I'm having great difficulties installing this. I found there was a lot
> of other plugins required, and so found myself in dependency hell. I
> then found
> http://download.eclipse.org/stp/downloads/drops/S-S200801091 442-200801091442/
>
> and downloaded
> stp-all-in-one-incubation-S-S200801091442-200801091442.zip, which
> helped a lot.
>
> Now when I run with eclipse-platform-3.4M4-linux-gtk i get a stack
> overflow error calling the BPMN diagram see below.
>
> I also tried the latest eclipse, but no BPMN example wizard was
> available. Which is latest stable release with an associated all-in-one
> zip file? The pages I see point to RCs and have dead links.
> thanks in advance
>
> Phil
>
> !SESSION 2008-02-20 22:40:03.274
> -----------------------------------------------
> eclipse.buildId=I20071213-1700
> java.version=1.5.0_14
> java.vendor=Sun Microsystems Inc.
> BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en_GB
> Command-line arguments: -os linux -ws gtk -arch x86
>
> !ENTRY org.eclipse.update.configurator 2008-02-20 22:40:08.669
> !MESSAGE Could not install bundle
> plugins/net.sourceforge.lpg.lpgjavaruntime.source_1.1.0.v200 711021030.jar
> Bundle "net.sourceforge.lpg.lpgjavaruntime.source" version
> "1.1.0.v200711021030" has already been installed from:
> update@plugins /net.sourceforge.lpg.lpgjavaruntime.source_1.1.0.v2007110210 30/
>
>
> !ENTRY org.eclipse.ui 4 0 2008-02-20 22:43:11.428
> !MESSAGE Unhandled event loop exception
> !STACK 0
> java.lang.StackOverflowError
>


--
Intalio, the Open Source BPMS Company

<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website</a>
Re: BPMN editor display [message #374578 is a reply to message #374576] Sat, 23 February 2008 17:47 Go to previous messageGo to next message
Eclipse User
Originally posted by: pkisloff.tiscali.co.uk

Thanks Antoine,

I tried another way before reading your reply, and have been up and
running with STP for a few days now (there's a lot to be said for brute
force and ignorance).

I downloaded both eclipse-platform-3.3.1.1-linux-gtk.tar.gz and "STP
0.7.0.200711162004 All In One". This may not be optimum in terms of
functionality, but at least it works for me "out of the box".

My background is SAP workflow, and this vendor is planning to move to a
BPMN code -generating approach, so I was very keen to become familiar
with BPMN, in an end-user capacity. I must say you guys have created an
awesome product here.

I've got a lot learn about eclipse, though.

Many thanks

Phil
Re: BPMN editor display [message #374579 is a reply to message #374576] Sat, 23 February 2008 17:48 Go to previous messageGo to next message
Eclipse User
Originally posted by: philp.kisloff.astrazeneca.com

Thanks Antoine,

I tried another way before reading your reply, and have been up and
running with STP for a few days now (there's a lot to be said for brute
force and ignorance).

I downloaded both eclipse-platform-3.3.1.1-linux-gtk.tar.gz and "STP
0.7.0.200711162004 All In One". This may not be optimum in terms of
functionality, but at least it works for me "out of the box".

My background is SAP workflow, and this vendor is planning to move to a
BPMN code -generating approach, so I was very keen to become familiar
with BPMN, in an end-user capacity. I must say you guys have created an
awesome product here.

I've got a lot learn about eclipse, though.

Many thanks

Phil
Re: BPMN editor display [message #374580 is a reply to message #374576] Sat, 23 February 2008 17:49 Go to previous messageGo to next message
Eclipse User
Originally posted by: philip.kisloff.astrazeneca.com

Thanks Antoine,

I tried another way before reading your reply, and have been up and
running with STP for a few days now (there's a lot to be said for brute
force and ignorance).

I downloaded both eclipse-platform-3.3.1.1-linux-gtk.tar.gz and "STP
0.7.0.200711162004 All In One". This may not be optimum in terms of
functionality, but at least it works for me "out of the box".

My background is SAP workflow, and this vendor is planning to move to a
BPMN code -generating approach, so I was very keen to become familiar
with BPMN, in an end-user capacity. I must say you guys have created an
awesome product here.

I've got a lot learn about eclipse, though.

Many thanks

Phil
Re: BPMN editor display [message #374581 is a reply to message #374578] Sat, 23 February 2008 18:27 Go to previous messageGo to next message
Eclipse User
Originally posted by: atoulme.intalio.com

Philip,

I'm getting wary of seeing so many people having trouble to get STP up
and running.

I have packaged an Eclipse install, with GMF, EMF, GEF, the platform and
STP BPMN, and made it available here:
http://www.intalio.org/public/distribs/

Please feel free to grab it and play with it.

Someone else experienced the same StackOverflowError, and filed a bug:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=219974

Apparently GMF now initiates the TextCompartmentEditPart differently,
and our old code doesn't comply. I'll investigate next week.

Thanks,

Antoine

Philip Kisloff wrote:
> Thanks Antoine,
>
> I tried another way before reading your reply, and have been up and
> running with STP for a few days now (there's a lot to be said for brute
> force and ignorance).
>
> I downloaded both eclipse-platform-3.3.1.1-linux-gtk.tar.gz and "STP
> 0.7.0.200711162004 All In One". This may not be optimum in terms of
> functionality, but at least it works for me "out of the box".
>
> My background is SAP workflow, and this vendor is planning to move to a
> BPMN code -generating approach, so I was very keen to become familiar
> with BPMN, in an end-user capacity. I must say you guys have created an
> awesome product here.
>
> I've got a lot learn about eclipse, though.
>
> Many thanks
>
> Phil
>
>
>


--
Intalio, the Open Source BPMS Company

<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website</a>
Re: BPMN editor display [message #374618 is a reply to message #374576] Mon, 17 March 2008 01:32 Go to previous messageGo to next message
Juan Cadavid is currently offline Juan Cadavid
Messages: 49
Registered: July 2009
Location: Rennes, France
Member

Hi Antoine,

I have been using the BPMN both as user and developer for several months,
and have always liked to be up-to-date with the latest improvements in
each milestone. I know how to get a good stp-bpmn running, but I want to
see what's new in 3.4M5. However, at this time i'm having trouble, getting
the following error when creating or opening a model:

java.lang.StackOverflowError
at
org.eclipse.gmf.runtime.diagram.ui.editparts.TextCompartment EditPart.getFigure(TextCompartmentEditPart.java:175)
at
org.eclipse.gmf.runtime.diagram.ui.editparts.TextCompartment EditPart.getLabel(TextCompartmentEditPart.java:235)
at
org.eclipse.gmf.runtime.diagram.ui.editparts.TextCompartment EditPart.createLabelDelegate(TextCompartmentEditPart.java:15 5)
at
org.eclipse.gmf.runtime.diagram.ui.editparts.TextCompartment EditPart.getFigure(TextCompartmentEditPart.java:176)
at
org.eclipse.gmf.runtime.diagram.ui.editparts.TextCompartment EditPart.getLabel(TextCompartmentEditPart.java:235)
at
org.eclipse.gmf.runtime.diagram.ui.editparts.TextCompartment EditPart.createLabelDelegate(TextCompartmentEditPart.java:15 5)

The steps to reproduce are the following:
1. Get a pristine Eclipse 3.4M5 install.
2. Go to update sites, select Ganymede Discovery Site > STP > BPMN.
3. Click 'select required' to clear all dependency errors, click finnish.
4. Wait for everything to download and install.
5. Restart Eclipse.
6. Create a new BPMN diagram.
7. Boom!

Like I said, I know how to get your plugin working on another version,
Europa for instance, but I haven't been able to do so in Ganymede for this
reason. I'd dare to say it's something related to the new releases of EMF
or GMF, but I wouldn't be sure about how to fix it :(

Thanks a lot for your attention!

-Juan
Re: BPMN editor display [message #374619 is a reply to message #374618] Mon, 17 March 2008 01:36 Go to previous messageGo to next message
Juan Cadavid is currently offline Juan Cadavid
Messages: 49
Registered: July 2009
Location: Rennes, France
Member

Oops, I'm so sorry, I didn't see at first that you are already aware of
this bug and are looking into it. Never meant to be pushy - hehe!

-Juan
Re: BPMN editor display [message #374620 is a reply to message #374619] Mon, 17 March 2008 18:45 Go to previous message
Eclipse User
Originally posted by: atoulme.intalio.com

Juan,

thanks for reporting anyways. We are working on that bug and expect a
fix soon.

Thanks,

Antoine

Juan Jose Cadavid G wrote:
> Oops, I'm so sorry, I didn't see at first that you are already aware of
> this bug and are looking into it. Never meant to be pushy - hehe!
>
> -Juan
>


--
Intalio, the Open Source BPMS Company

<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website</a>
Re: BPMN editor display [message #611061 is a reply to message #374570] Wed, 20 February 2008 14:44 Go to previous message
Eclipse User
Originally posted by: atoulme.intalio.com

Philip,

you are using an old version of BPMN with an even older version of Eclipse.

Can you try gabbing the latest build of Eclipse (you can settle for the
runtime platform if you want to go light[0]) ?

Once you have a stable Eclipse, try getting BPMN through the STP update
site.
To do that, go to Help>Software Updates>Find and Install...

Create a new remote update site with the URL[1], then install BPMN by
selecting it in the dialog.

Hopefully that should run better.

Thanks,

Antoine

[0] :http://download.eclipse.org/eclipse/downloads/drops/R-3.3.1 .1-200710231652/download.php?dropFile=eclipse-platform-3.3.1 .1-linux-gtk.tar.gz
[1]:http://download.eclipse.org/stp/updates/site.xml
Philip Kisloff wrote:
> Hi
>
> Very new to eclipse, but thought I would try BPMN modelling plugin from
> here
> http://wiki.eclipse.org/Eclipse_con_2007_STP_BPMN_Tutorial_% 28Setup%29
> Having a lot a trouble viewing any objects. Eclipse starts up, and can
> create a BPMN project, but any BPMN elements in the pool (e.g the
> initial task shape) disappear. I can only see them when I click on the
> down arrow in the top left corner of the pool - sorry don't know what
> the icon is called) and it disappears immediately afterwards.
>
> So I'm stuggling to create *anything*, and I figure something's wrong
> with my set up.
> I've installed eclipse-SDK-3.2.1-linux with JDK 1.6.0_04, and it's
> running under opensuse 10.2 kernal 2.6.18.8-0.7.
>
> The build id is M20060921-0945 and the BPMN plug-in versions are 1.0.0.061.
>
> Any ideas, anyone ?
>
> Thanks
>
> Phil
>
>


--
Intalio, the Open Source BPMS Company

<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website</a>
Re: BPMN editor display [message #611062 is a reply to message #374571] Wed, 20 February 2008 14:55 Go to previous message
Eclipse User
Originally posted by: philip.kisloff.astrazeneca.com

Thank you so much Antoine, I'll give it a go now.
Re: BPMN editor display [message #611064 is a reply to message #374572] Wed, 20 February 2008 23:03 Go to previous message
Eclipse User
Originally posted by: philip.kisloff.astrazeneca.com

Hi Antoine

I'm having great difficulties installing this. I found there was a lot of
other plugins required, and so found myself in dependency hell. I then
found
http://download.eclipse.org/stp/downloads/drops/S-S200801091 442-200801091442/
and downloaded
stp-all-in-one-incubation-S-S200801091442-200801091442.zip, which helped
a lot.

Now when I run with eclipse-platform-3.4M4-linux-gtk i get a stack
overflow error calling the BPMN diagram see below.

I also tried the latest eclipse, but no BPMN example wizard was available.
Which is latest stable release with an associated all-in-one zip file? The
pages I see point to RCs and have dead links.

thanks in advance

Phil

!SESSION 2008-02-20 22:40:03.274
-----------------------------------------------
eclipse.buildId=I20071213-1700
java.version=1.5.0_14
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en_GB
Command-line arguments: -os linux -ws gtk -arch x86

!ENTRY org.eclipse.update.configurator 2008-02-20 22:40:08.669
!MESSAGE Could not install bundle
plugins/net.sourceforge.lpg.lpgjavaruntime.source_1.1.0.v200 711021030.jar
Bundle "net.sourceforge.lpg.lpgjavaruntime.source" version
"1.1.0.v200711021030" has already been installed from:
update@plugins /net.sourceforge.lpg.lpgjavaruntime.source_1.1.0.v2007110210 30/

!ENTRY org.eclipse.ui 4 0 2008-02-20 22:43:11.428
!MESSAGE Unhandled event loop exception
!STACK 0
java.lang.StackOverflowError
Re: BPMN editor display [message #611066 is a reply to message #374574] Thu, 21 February 2008 10:42 Go to previous message
Eclipse User
Originally posted by: atoulme.intalio.com

Philip, the all-in-one bundle doesn't contain the GMF, GEF and EMF
dependencies that you need.

To get the BPMN modeler and all its dependencies, you should use the
Ganymede update site.

So please take a pristine Eclipse platform, and use this remote update site:

http://www.eclipse.org/downloads/download.php?file=/releases /ganymede/site.xml&format=xml&protocol=http

You will have to select a mirror. Then you can see a list of all the
features that have been delivered for 3.4M5.

Go and select the BPMN modeler in the SOA Tools category. That should
raise errors regarding its dependencies. Don't panic, just click on
Select Required to get them all. If that doesn't work, expand the tree
(that's a known bug that the update committers will just not work on),
then click on Select Required again.

You should be able to install the whole thing that way. Apologies for
not giving the right directions the first time.

Thanks,

Antoine




Philip Kisloff wrote:
> Hi Antoine
>
> I'm having great difficulties installing this. I found there was a lot
> of other plugins required, and so found myself in dependency hell. I
> then found
> http://download.eclipse.org/stp/downloads/drops/S-S200801091 442-200801091442/
>
> and downloaded
> stp-all-in-one-incubation-S-S200801091442-200801091442.zip, which
> helped a lot.
>
> Now when I run with eclipse-platform-3.4M4-linux-gtk i get a stack
> overflow error calling the BPMN diagram see below.
>
> I also tried the latest eclipse, but no BPMN example wizard was
> available. Which is latest stable release with an associated all-in-one
> zip file? The pages I see point to RCs and have dead links.
> thanks in advance
>
> Phil
>
> !SESSION 2008-02-20 22:40:03.274
> -----------------------------------------------
> eclipse.buildId=I20071213-1700
> java.version=1.5.0_14
> java.vendor=Sun Microsystems Inc.
> BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en_GB
> Command-line arguments: -os linux -ws gtk -arch x86
>
> !ENTRY org.eclipse.update.configurator 2008-02-20 22:40:08.669
> !MESSAGE Could not install bundle
> plugins/net.sourceforge.lpg.lpgjavaruntime.source_1.1.0.v200 711021030.jar
> Bundle "net.sourceforge.lpg.lpgjavaruntime.source" version
> "1.1.0.v200711021030" has already been installed from:
> update@plugins /net.sourceforge.lpg.lpgjavaruntime.source_1.1.0.v2007110210 30/
>
>
> !ENTRY org.eclipse.ui 4 0 2008-02-20 22:43:11.428
> !MESSAGE Unhandled event loop exception
> !STACK 0
> java.lang.StackOverflowError
>


--
Intalio, the Open Source BPMS Company

<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website</a>
Re: BPMN editor display [message #611068 is a reply to message #374576] Sat, 23 February 2008 17:47 Go to previous message
Eclipse User
Originally posted by: pkisloff.tiscali.co.uk

Thanks Antoine,

I tried another way before reading your reply, and have been up and
running with STP for a few days now (there's a lot to be said for brute
force and ignorance).

I downloaded both eclipse-platform-3.3.1.1-linux-gtk.tar.gz and "STP
0.7.0.200711162004 All In One". This may not be optimum in terms of
functionality, but at least it works for me "out of the box".

My background is SAP workflow, and this vendor is planning to move to a
BPMN code -generating approach, so I was very keen to become familiar
with BPMN, in an end-user capacity. I must say you guys have created an
awesome product here.

I've got a lot learn about eclipse, though.

Many thanks

Phil
Re: BPMN editor display [message #611069 is a reply to message #374576] Sat, 23 February 2008 17:48 Go to previous message
Eclipse User
Originally posted by: philp.kisloff.astrazeneca.com

Thanks Antoine,

I tried another way before reading your reply, and have been up and
running with STP for a few days now (there's a lot to be said for brute
force and ignorance).

I downloaded both eclipse-platform-3.3.1.1-linux-gtk.tar.gz and "STP
0.7.0.200711162004 All In One". This may not be optimum in terms of
functionality, but at least it works for me "out of the box".

My background is SAP workflow, and this vendor is planning to move to a
BPMN code -generating approach, so I was very keen to become familiar
with BPMN, in an end-user capacity. I must say you guys have created an
awesome product here.

I've got a lot learn about eclipse, though.

Many thanks

Phil
Re: BPMN editor display [message #611070 is a reply to message #374576] Sat, 23 February 2008 17:49 Go to previous message
Eclipse User
Originally posted by: philip.kisloff.astrazeneca.com

Thanks Antoine,

I tried another way before reading your reply, and have been up and
running with STP for a few days now (there's a lot to be said for brute
force and ignorance).

I downloaded both eclipse-platform-3.3.1.1-linux-gtk.tar.gz and "STP
0.7.0.200711162004 All In One". This may not be optimum in terms of
functionality, but at least it works for me "out of the box".

My background is SAP workflow, and this vendor is planning to move to a
BPMN code -generating approach, so I was very keen to become familiar
with BPMN, in an end-user capacity. I must say you guys have created an
awesome product here.

I've got a lot learn about eclipse, though.

Many thanks

Phil
Re: BPMN editor display [message #611071 is a reply to message #374578] Sat, 23 February 2008 18:27 Go to previous message
Eclipse User
Originally posted by: atoulme.intalio.com

Philip,

I'm getting wary of seeing so many people having trouble to get STP up
and running.

I have packaged an Eclipse install, with GMF, EMF, GEF, the platform and
STP BPMN, and made it available here:
http://www.intalio.org/public/distribs/

Please feel free to grab it and play with it.

Someone else experienced the same StackOverflowError, and filed a bug:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=219974

Apparently GMF now initiates the TextCompartmentEditPart differently,
and our old code doesn't comply. I'll investigate next week.

Thanks,

Antoine

Philip Kisloff wrote:
> Thanks Antoine,
>
> I tried another way before reading your reply, and have been up and
> running with STP for a few days now (there's a lot to be said for brute
> force and ignorance).
>
> I downloaded both eclipse-platform-3.3.1.1-linux-gtk.tar.gz and "STP
> 0.7.0.200711162004 All In One". This may not be optimum in terms of
> functionality, but at least it works for me "out of the box".
>
> My background is SAP workflow, and this vendor is planning to move to a
> BPMN code -generating approach, so I was very keen to become familiar
> with BPMN, in an end-user capacity. I must say you guys have created an
> awesome product here.
>
> I've got a lot learn about eclipse, though.
>
> Many thanks
>
> Phil
>
>
>


--
Intalio, the Open Source BPMS Company

<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website</a>
Re: BPMN editor display [message #613853 is a reply to message #374576] Mon, 17 March 2008 01:32 Go to previous message
Eclipse User
Originally posted by: juanjosecg.gmail.com

Hi Antoine,

I have been using the BPMN both as user and developer for several months,
and have always liked to be up-to-date with the latest improvements in
each milestone. I know how to get a good stp-bpmn running, but I want to
see what's new in 3.4M5. However, at this time i'm having trouble, getting
the following error when creating or opening a model:

java.lang.StackOverflowError
at
org.eclipse.gmf.runtime.diagram.ui.editparts.TextCompartment EditPart.getFigure(TextCompartmentEditPart.java:175)
at
org.eclipse.gmf.runtime.diagram.ui.editparts.TextCompartment EditPart.getLabel(TextCompartmentEditPart.java:235)
at
org.eclipse.gmf.runtime.diagram.ui.editparts.TextCompartment EditPart.createLabelDelegate(TextCompartmentEditPart.java:15 5)
at
org.eclipse.gmf.runtime.diagram.ui.editparts.TextCompartment EditPart.getFigure(TextCompartmentEditPart.java:176)
at
org.eclipse.gmf.runtime.diagram.ui.editparts.TextCompartment EditPart.getLabel(TextCompartmentEditPart.java:235)
at
org.eclipse.gmf.runtime.diagram.ui.editparts.TextCompartment EditPart.createLabelDelegate(TextCompartmentEditPart.java:15 5)

The steps to reproduce are the following:
1. Get a pristine Eclipse 3.4M5 install.
2. Go to update sites, select Ganymede Discovery Site > STP > BPMN.
3. Click 'select required' to clear all dependency errors, click finnish.
4. Wait for everything to download and install.
5. Restart Eclipse.
6. Create a new BPMN diagram.
7. Boom!

Like I said, I know how to get your plugin working on another version,
Europa for instance, but I haven't been able to do so in Ganymede for this
reason. I'd dare to say it's something related to the new releases of EMF
or GMF, but I wouldn't be sure about how to fix it :(

Thanks a lot for your attention!

-Juan
Re: BPMN editor display [message #613854 is a reply to message #374618] Mon, 17 March 2008 01:36 Go to previous message
Eclipse User
Originally posted by: juanjosecg.gmail.com

Oops, I'm so sorry, I didn't see at first that you are already aware of
this bug and are looking into it. Never meant to be pushy - hehe!

-Juan
Re: BPMN editor display [message #613855 is a reply to message #374619] Mon, 17 March 2008 18:45 Go to previous message
Eclipse User
Originally posted by: atoulme.intalio.com

Juan,

thanks for reporting anyways. We are working on that bug and expect a
fix soon.

Thanks,

Antoine

Juan Jose Cadavid G wrote:
> Oops, I'm so sorry, I didn't see at first that you are already aware of
> this bug and are looking into it. Never meant to be pushy - hehe!
>
> -Juan
>


--
Intalio, the Open Source BPMS Company

<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website</a>
Previous Topic:Dear all, Why Why Why I can't validate the gmfgen file to proceed.
Next Topic:Export to Image with my Icons
Goto Forum:
  


Current Time: Thu Oct 23 20:53:56 GMT 2014

Powered by FUDForum. Page generated in 0.02540 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software